diff --git a/tools/gnome-session-ctl.c b/tools/gnome-session-ctl.c
index e413cd52..edae5062 100644
--- a/tools/gnome-session-ctl.c
+++ b/tools/gnome-session-ctl.c
@@ -248,7 +248,7 @@ main (int argc, char *argv[])
                 { "monitor", '\0', 0, G_OPTION_ARG_NONE, &opt_monitor, N_("Start gnome-session-shutdown.target when receiving EOF or a single byte on stdin"), NULL },
                 { "signal-init", '\0', 0, G_OPTION_ARG_NONE, &opt_signal_init, N_("Signal initialization done to gnome-session"), NULL },
                 { "restart-dbus", '\0', 0, G_OPTION_ARG_NONE, &opt_restart_dbus, N_("Restart dbus.service if it is running"), NULL },
-                { "exec-stop-check", '\0', 0, G_OPTION_ARG_NONE, &opt_exec_stop_check, N_("Run from ExecStopPost to start gnome-session-shutdown.target on service failure"), NULL },
+                { "exec-stop-check", '\0', 0, G_OPTION_ARG_NONE, &opt_exec_stop_check, N_("Run from ExecStopPost to start gnome-session-failed.target on service failure"), NULL },
                 { NULL },
         };
 
@@ -296,7 +296,7 @@ main (int argc, char *argv[])
         } else if (opt_exec_stop_check) {
                 /* Start failed target if the restart limit was hit */
                 if (g_strcmp0 ("start-limit-hit", g_getenv ("SERVICE_RESULT")) == 0) {
-                        do_start_unit ("gnome-session-shutdown.target", "fail");
+                        do_start_unit ("gnome-session-failed.target", "fail");
                 }
        } else {
                 g_assert_not_reached ();
